# $Revision: 1.5 $, $Date: 2010/09/08 19:49:12 $
#
%define		subver	beta1
Summary:	OpenVPN Radius Plugin
Name:		openvpn-plugin-radiusplugin
Version:	2.1a
Release:	0.%{subver}.1
License:	GPL v2
Group:		Applications
Source0:	http://www.nongnu.org/radiusplugin/radiusplugin_v%{version}_%{subver}.tar.gz
# Source0-md5:	e29cbc506ae3acd735dfecb4cd39ebaa
Patch0:		%{name}-makefile.patch
URL:		http://www.nongnu.org/radiusplugin/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openvpn-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/openvpn/plugins
%define		_sysconfdir	/etc/openvpn

%description
Plugin for OpenVPN providing Radius authentication and accounting
support.

%prep
%setup -q -n radiusplugin_v%{version}_%{subver}
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -shared -fPIC -DPIC" \
	CXXFLAGS="%{rpmcflags} -shared -fPIC -DPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

cp -a radiusplugin.so $RPM_BUILD_ROOT%{_libdir}
cp -a radiusplugin.cnf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusplugin.cnf
%attr(755,root,root) %{_libdir}/radiusplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openvpn-plugin-radiusplugin.spec,v $
Revision 1.5  2010/09/08 19:49:12  hawk
- updated to 2.1a beta1

Revision 1.4  2010/05/21 16:55:43  hawk
- updated to 2.1 beta9

Revision 1.3  2009/11/14 18:57:27  hawk
- try to get it working :/

Revision 1.2  2009/11/14 18:31:36  hawk
- include subver in release

Revision 1.1  2009/11/14 18:22:34  hawk
- new spec from scratch, plugin for Radius based authentication in OpenVPN

